Fulfill Order

Updates an order’s status to fulfilled

Required scope | ecommerce:write

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

site_idstringRequiredformat: "objectid"
Unique identifier for a Site
order_idstringRequiredformat: "objectid"
Unique identifier for an Order

Request

The order fulfillment request
sendOrderFulfilledEmailbooleanOptionalDefaults to false
Whether or not the Order Fulfilled email should be sent

Response

Request was successful
orderIdstringOptionalRead-only
The order ID. Will usually be 6 hex characters, but can also be 9 hex characters if the site has a very large number of Orders. Randomly assigned.
statusenumOptional
The status of the Order
commentstringOptional

A comment string for this Order, which is editable by API user (not used by Webflow).

orderCommentstringOptional
A comment that the customer left when making their Order
acceptedOnstring or nullOptionalformat: "date-time"
The ISO8601 timestamp that an Order was placed.
fulfilledOnstring or nullOptionalformat: "date-time"
When an Order is marked as 'fulfilled', this field represents the timestamp of the fulfillment in ISO8601 format. Otherwise, it is null.
refundedOnstring or nullOptionalformat: "date-time"
When an Order is marked as 'refunded', this field represents the timestamp of the fulfillment in ISO8601 format. Otherwise, it is null.
disputedOnstring or nullOptionalformat: "date-time"
When an Order is marked as 'disputed', this field represents the timestamp of the fulfillment in ISO8601 format. Otherwise, it is null.
disputeUpdatedOnstring or nullOptionalformat: "date-time"
If an Order has been disputed by the customer, this key will be set to the ISO8601 timestamp of the last update received. If the Order is not disputed, the key will be null.
disputeLastStatusenum or nullOptional

If an order was disputed by the customer, then this key will be set with the dispute’s status.

customerPaidobjectOptional
The total paid by the customer
netAmountobjectOptional
The net amount after application fees
applicationFeeobjectOptional
The application fee assessed by the platform
allAddresseslist of objectsOptional
All addresses provided by the customer during the ordering flow.
shippingAddressobjectOptional
The shipping address
billingAddressobjectOptional
The billing address
shippingProviderstring or nullOptional

A string editable by the API user to note the shipping provider used (not used by Webflow).

shippingTrackingstring or nullOptional

A string editable by the API user to note the shipping tracking number for the order (not used by Webflow).

shippingTrackingURLstring or nullOptionalformat: "uri"
customerInfoobjectOptional

An object with the keys fullName and email.

purchasedItemslist of objectsOptional
An array of all things that the Customer purchased.
purchasedItemsCountdoubleOptional
The sum of all 'count' fields in 'purchasedItems'.
stripeDetailsobjectOptional
An object with various Stripe IDs, useful for linking into the stripe dashboard.
stripeCardobjectOptional
Details on the card used to fulfill this order, if this order was finalized with Stripe.
paypalDetailsobjectOptional
customDatalist of objectsOptional
An array of additional inputs for custom order data gathering. Each object in the array represents an input with a name, and a textInput, textArea, or checkbox value.
metadataobjectOptional
isCustomerDeletedbooleanOptional
A boolean indicating whether the customer has been deleted from the site.
isShippingRequiredbooleanOptional
A boolean indicating whether the order contains one or more purchased items that require shipping.
hasDownloadsbooleanOptional
A boolean indicating whether the order contains one or more purchased items that are downloadable.
paymentProcessorstringOptional
A string indicating the payment processor used for this order.
totalsobjectOptional
An object describing various pricing totals
downloadFileslist of objectsOptionalDefaults to []
An array of downloadable file objects.

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
409
Conflict Error
429
Too Many Requests Error
500
Internal Server Error